From 16bab1935126da3608b3c20b4fae961e1bceb25d Mon Sep 17 00:00:00 2001
From: Hans Johnson <hans-johnson@uiowa.edu>
Date: Sat, 30 Jun 2012 12:13:01 -0500
Subject: [PATCH 3/4] COMP: Silence unused variable warnings.

---
 modules/core/include/opencv2/core/operations.hpp |    4 +-
 modules/flann/include/opencv2/flann/lsh_index.h  |    4 +-
 modules/refman.rst                               |   24 ++++++++++++++++++++++
 3 files changed, 28 insertions(+), 4 deletions(-)
 create mode 100644 modules/refman.rst

diff --git a/modules/core/include/opencv2/core/operations.hpp b/modules/core/include/opencv2/core/operations.hpp
index fe9caa4..e062e66 100644
--- a/modules/core/include/opencv2/core/operations.hpp
+++ b/modules/core/include/opencv2/core/operations.hpp
@@ -866,7 +866,7 @@ template<typename _Tp, int m, int n> struct CV_EXPORTS Matx_FastSolveOp
 template<typename _Tp> struct CV_EXPORTS Matx_FastSolveOp<_Tp, 2, 1>
 {
     bool operator()(const Matx<_Tp, 2, 2>& a, const Matx<_Tp, 2, 1>& b,
-                    Matx<_Tp, 2, 1>& x, int method) const
+                    Matx<_Tp, 2, 1>& x, int /*NOT USED method */) const
     {
         _Tp d = determinant(a);
         if( d == 0 )
@@ -1244,7 +1244,7 @@ template<> inline Vec<double, 4> Vec<double, 4>::conj() const
     return conjugate(*this);
 }
 
-template<typename _Tp, int cn> inline Vec<_Tp, cn> Vec<_Tp, cn>::cross(const Vec<_Tp, cn>& v) const
+template<typename _Tp, int cn> inline Vec<_Tp, cn> Vec<_Tp, cn>::cross(const Vec<_Tp, cn>& /*NOT USED v */) const
 {
     CV_Error(CV_StsError, "for arbitrary-size vector there is no cross-product defined");
     return Vec<_Tp, cn>();
diff --git a/modules/flann/include/opencv2/flann/lsh_index.h b/modules/flann/include/opencv2/flann/lsh_index.h
index 0fc499d..61c48e6 100644
--- a/modules/flann/include/opencv2/flann/lsh_index.h
+++ b/modules/flann/include/opencv2/flann/lsh_index.h
@@ -258,8 +258,8 @@ private:
      * @param k_nn the number of nearest neighbors
      * @param checked_average used for debugging
      */
-    void getNeighbors(const ElementType* vec, bool do_radius, float radius, bool do_k, unsigned int k_nn,
-                      float& checked_average)
+    void getNeighbors(const ElementType* vec, bool /* NOT USED do_radius */, float radius, bool do_k, unsigned int k_nn,
+                      float& /* NOT USED checked_average */)
     {
         static std::vector<ScoreIndexPair> score_index_heap;
 
diff --git a/modules/refman.rst b/modules/refman.rst
new file mode 100644
index 0000000..260fca4
--- /dev/null
+++ b/modules/refman.rst
@@ -0,0 +1,24 @@
+############################
+OpenCV API Reference
+############################
+
+.. toctree::
+   :maxdepth: 2
+
+   core/doc/intro.rst
+   core/doc/core.rst
+   imgproc/doc/imgproc.rst
+   highgui/doc/highgui.rst
+   video/doc/video.rst
+   calib3d/doc/calib3d.rst
+   features2d/doc/features2d.rst
+   objdetect/doc/objdetect.rst
+   ml/doc/ml.rst
+   flann/doc/flann.rst
+   gpu/doc/gpu.rst
+   photo/doc/photo.rst
+   stitching/doc/stitching.rst
+   nonfree/doc/nonfree.rst
+   contrib/doc/contrib.rst
+   legacy/doc/legacy.rst
+
-- 
1.7.6.1

